# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.78"
name = "team-core"
version = "0.8.5"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Shared library for teamctl: YAML schema, validation, and artifact rendering."
readme = false
license = "MIT"
repository = "https://github.com/Alireza29675/teamctl"

[lib]
name = "team_core"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.blake3]
version = "1"

[dependencies.chrono]
version = "0.4"
features = ["clock"]
default-features = false

[dependencies.rusqlite]
version = "0.31"
features = ["bundled"]

[dependencies.schemars]
version = "0.8"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_yaml]
version = "0.9"

[dependencies.thiserror]
version = "1"

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1"
features = ["v5"]

[dependencies.yaml-edit]
version = "0.2"
default-features = false

[dev-dependencies.tempfile]
version = "3"
